%global moduledir %(pkg-config xorg-server --variable=moduledir )
%global driverdir	%{moduledir}/drivers
%undefine _hardened_build

Name:          xorg-x11-drv-fbdev
Version:       0.5.0
Release:       5
Summary:       Xorg X11 fbdev video driver
License:       MIT
URL:           https://www.x.org
Source0:       https://www.x.org/pub/individual/driver/xf86-video-fbdev-%{version}.tar.bz2

BuildRequires: xorg-x11-server-devel autoconf automake libtool

Requires:      Xorg %(xserver-sdk-abi-requires ansic)
Requires:      Xorg %(xserver-sdk-abi-requires videodrv)

%description 
X.Org X11 fbdev video driver.

%package_help

%prep
%autosetup -n xf86-video-fbdev-%{version} -p1

%build
autoreconf -vif
%configure
make

%install
%make_install

%delete_la

%files
%defattr(-,root,root)
%doc COPYING ChangeLog
%{driverdir}/fbdev_drv.so

%files help
%defattr(-,root,root)
%doc README
%{_mandir}/man4/fbdev.4*

%changelog
* Tue Mar 17 2020 openEuler Buildteam <buildteam@openeuler.org> - 0.5.0-5
- Type:enhancement
- Id:NA
- SUG:NA
- DESC:patch init

* Thu Jan 09 2020 openEuler Buildteam <buildteam@openeuler.org> - 0.5.0-4
- Type:enhancement
- Id:NA
- SUG:NA
- DESC:optimization the spec

* Fri Oct 11 2019 openEuler Buildteam <buildteam@openeuler.org> - 0.5.0-3
- Package init

